# How to Contribute

We'd love to accept your patches and contributions to this project. There are
just a few small guidelines you need to follow.

## Contributor License Agreement

Contributions to this project must be accompanied by a Contributor License
Agreement. You (or your employer) retain the copyright to your contribution,
this simply gives us permission to use and redistribute your contributions as
part of the project. Head over to <https://cla.developers.google.com/> to see
your current agreements on file or to sign a new one.

You generally only need to submit a CLA once, so if you've already submitted one
(even if it was for a different project), you probably don't need to do it
again.

## Code reviews

All submissions, including submissions by project members, require review. We
use GitHub pull requests for this purpose. Consult
[GitHub Help](https://help.github.com/articles/about-pull-requests/) for more
information on using pull requests.

## Filing GitHub issues

Please follow the guidelines specified in the
[ISSUE_TEMPLATE](https://github.com/tensorflow/tfjs/blob/master/ISSUE_TEMPLATE.md)
file.

## Good places to start

Consider joining the [tfjs mailing list](https://groups.google.com/a/tensorflow.org/d/forum/tfjs)
to discuss the development of TensorFlow.js. If you're working on anything
substantial it's better to discuss your design before submitting a PR.
If you're looking for tasks to work on, we also mark issues as ["help wanted"](https://github.com/tensorflow/tfjs/issues?q=is%3Aissue+is%3Aopen+label%3A%22help+wanted%22).


